Skip to main content
POST
/
text-to-audio
文字转语音
curl --request POST \
  --url https://{api_base_url}/text-to-audio \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "Hello, welcome to our service.",
  "user": "abc-123",
  "voice": "alloy",
  "streaming": false
}
'
import requests

url = "https://{api_base_url}/text-to-audio"

payload = {
"text": "Hello, welcome to our service.",
"user": "abc-123",
"voice": "alloy",
"streaming": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Hello, welcome to our service.',
user: 'abc-123',
voice: 'alloy',
streaming: false
})
};

fetch('https://{api_base_url}/text-to-audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Body

application/json

文字转语音的请求体。提供 message_idtext 其中之一。

message_id
string<uuid>

消息 ID。当同时提供 text 时,优先使用消息 ID。

text
string

要转换的语音内容。

user
string

用户标识符。

voice
string

文字转语音使用的声音。可用声音取决于为此应用配置的 TTS 提供商。使用获取应用参数text_to_speech.voice 中的 voice 值作为默认值。

streaming
boolean

是否启用流式响应。

Response

返回生成的音频文件。Content-Type 头设置为音频 MIME 类型(例如 audio/wavaudio/mp3)。如果 streamingtrue,音频将以分块传输编码方式流式返回。

The response is of type file.

Last modified on July 9, 2026